# Class AddressEntry

#### Hierarchy

- unknown
  - AddressEntry

- Defined in src/protobuf/pb_pb.d.ts:5677
- Defined in src/protobuf/pb_pb.d.ts:5708

#####
Index

### Constructors

constructor

### Methods

getCoinLockedInMultiSig
getContext
getOfferId
getPubKey
getPubKeyHash
getPubKeyHash_asB64
getPubKeyHash_asU8
getPubKey_asB64
getPubKey_asU8
getSegwit
serializeBinary
setCoinLockedInMultiSig
setContext
setOfferId
setPubKey
setPubKeyHash
setSegwit
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new AddressEntry(): AddressEntry

- #### Returns AddressEntry

  Inherited from jspb.Message.constructor

## Methods

### getCoinLockedInMultiSig

- getCoinLockedInMultiSig(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:5694

### getContext

- getContext(): AddressEntry.Context

- #### Returns AddressEntry.Context

  - Defined in src/protobuf/pb_pb.d.ts:5681

### getOfferId

- getOfferId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5678

### getPubKey

- getPubKey(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:5684

### getPubKeyHash

- getPubKeyHash(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:5689

### getPubKeyHash_asB64

- getPubKeyHash_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5691

### getPubKeyHash_asU8

- getPubKeyHash_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:5690

### getPubKey_asB64

- getPubKey_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5686

### getPubKey_asU8

- getPubKey_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:5685

### getSegwit

- getSegwit(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:5697

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:5700

### setCoinLockedInMultiSig

- setCoinLockedInMultiSig(value: number): AddressEntry

- #### Parameters

  - ##### value: number

  #### Returns AddressEntry

  - Defined in src/protobuf/pb_pb.d.ts:5695

### setContext

- setContext(value: AddressEntry.Context): AddressEntry

- #### Parameters

  - ##### value: AddressEntry.Context

  #### Returns AddressEntry

  - Defined in src/protobuf/pb_pb.d.ts:5682

### setOfferId

- setOfferId(value: string): AddressEntry

- #### Parameters

  - ##### value: string

  #### Returns AddressEntry

  - Defined in src/protobuf/pb_pb.d.ts:5679

### setPubKey

- setPubKey(value: string | Uint8Array): AddressEntry

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns AddressEntry

  - Defined in src/protobuf/pb_pb.d.ts:5687

### setPubKeyHash

- setPubKeyHash(value: string | Uint8Array): AddressEntry

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns AddressEntry

  - Defined in src/protobuf/pb_pb.d.ts:5692

### setSegwit

- setSegwit(value: boolean): AddressEntry

- #### Parameters

  - ##### value: boolean

  #### Returns AddressEntry

  - Defined in src/protobuf/pb_pb.d.ts:5698

### toObject

- toObject(includeInstance?: boolean): AddressEntry.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns AddressEntry.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5701

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): AddressEntry

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns AddressEntry

  - Defined in src/protobuf/pb_pb.d.ts:5704

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: AddressEntry, reader: BinaryReader): AddressEntry

- #### Parameters

  - ##### message: AddressEntry

  - ##### reader: BinaryReader

  #### Returns AddressEntry

  - Defined in src/protobuf/pb_pb.d.ts:5705

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: AddressEntry, writer: BinaryWriter): void

- #### Parameters

  - ##### message: AddressEntry

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:5703

### `Static` toObject

- toObject(includeInstance: boolean, msg: AddressEntry): AddressEntry.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: AddressEntry

  #### Returns AddressEntry.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5702

Generated using TypeDoc